Get Event Subscription
curl --request GET \
--url https://api.yapily.com/notifications/event-subscriptions/{eventTypeId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/notifications/event-subscriptions/{eventTypeId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/notifications/event-subscriptions/{eventTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "<string>"
},
"data": {
"eventTypeId": "payment.status.completed",
"applicationId": "2698db90-6635-4f76-b673-5ce8e2aeda0e",
"created": "28-07-2021 15:47:03",
"notification": {
"type": "WEBHOOK",
"url": "https://httpbin.com/new_endpoint"
}
},
"links": {},
"forwardedData": [
{
"headers": {},
"url": "<string>"
}
],
"raw": [
{
"request": {
"method": "<string>",
"url": "<string>",
"requestInstant": "2023-11-07T05:31:56Z",
"headers": {},
"body": {},
"bodyParameters": {},
"startTime": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z"
},
"duration": "<string>",
"headers": {},
"resultCode": 123,
"result": {}
}
]
}Notifications
Get Event Subscription
Used to get details of your subscription to a specified event type.
Get Event Subscription
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
The sub-application ID to which event type is being subscribed to
Path Parameters
Unique identifier of the event type (for which notifications will be sent). Valid event type Id
Was this page helpful?
⌘I